Bug 28308 - Проблемы с firsttime.d
: Проблемы с firsttime.d
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/startup)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
: 27685
  Show dependency tree
 
Reported: 2013-01-05 11:17 by
Modified: 2013-01-10 02:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-01-05 11:17:16
/etc/firsttime.d в нынешнем виде неработоспособен.

Скрипт first-time отрабатывает исключительно при наличии /var/lock/TMP_1ST.
Если /var/lock у нас на tmpfs, то этот скрипт просто не отработает.

Особенно это прикольно в связи с тем, что реализация для systemd тоже смотрит в
/var/lock/TMP_1ST.

Кроме того, при создании VE и прочих виртуализированных решений (где пока
systemd редок) часто забывают этот файл создавать. Соответственно, опять же,
firsttime.d не отрабатывает.

Предлагаю:
1. перенести этот TMP_1ST в /etc
2. создавать его в %post у startup при первой установке пакета (но не
обновлении)
------- Comment #1 From 2013-01-06 18:04:49 -------
http://git.altlinux.org/people/ldv/packages/?p=startup.git;a=commitdiff;h=0.9.8.35-alt1-1-g685daba

Нечто аналогичное, вероятно, должно быть и в systemd.
------- Comment #2 From 2013-01-08 02:02:28 -------
Это не дубль #27593?
В systemd есть заготовка, которая конечно не могла работать с /var/lock на
tmpfs.
Если наконец-то определились с расположением, то в systemd я поправлю.
------- Comment #3 From 2013-01-08 02:21:50 -------
(In reply to comment #2)
> Это не дубль #27593?

Да, это в некотором смысле дубль, но сформулированный в форме, из которой
вытекает законченное решение.  Пакеты installer*, которых касается #27593,
можно будет не трогать.

> В systemd есть заготовка, которая конечно не могла работать с /var/lock на
> tmpfs.
> Если наконец-то определились с расположением, то в systemd я поправлю.

Если
http://git.altlinux.org/people/ldv/packages/?p=startup.git;a=commitdiff;h=0.9.8.35-alt1-1-g685daba
всех устраивает, то я отправлю его в Сизиф.
------- Comment #4 From 2013-01-08 11:56:36 -------
Меня полностью устраивает.
------- Comment #5 From 2013-01-10 02:46:22 -------
startup-0.9.8.37-alt1 -> sisyphus:

* Wed Jan 09 2013 Dmitry V. Levin <ldv@altlinux> 0.9.8.37-alt1
- Fixed /etc/firsttime.d support (closes: #28308).